net.ME1312.SubServers.Bungee.Network.Packet

## Class PacketOutRunEvent

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Network.Packet.PacketOutRunEvent

All Implemented Interfaces:
  net.md_5.bungee.api.plugin.Listener, PacketOut

    public class PacketOutRunEvent
    extends java.lang.Object
    implements net.md_5.bungee.api.plugin.Listener, PacketOut

### Constructor Summary

Constructors
Constructor and Description
`PacketOutRunEvent(java.lang.Class<? extends SubEvent> event, java.util.Map<java.lang.String,?> args)`
`PacketOutRunEvent(SubPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `event(SubAddServerEvent event)`
`void` `event(SubCreateEvent event)`
`void` `event(SubRemoveServerEvent event)`
`void` `event(SubSendCommandEvent event)`
`void` `event(SubStartEvent event)`
`void` `event(SubStopEvent event)`
`void` `event(SubStoppedEvent event)`
`org.json.JSONObject` `generate()` Generate JSON Packet Contents
`Version` `getVersion()` Get Packet Version

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketOutRunEvent

    public PacketOutRunEvent(SubPlugin plugin)

#### PacketOutRunEvent

    public PacketOutRunEvent(java.lang.Class<? extends SubEvent> event,
                             java.util.Map<java.lang.String,?> args)

### Method Detail

#### generate

    public org.json.JSONObject generate()

Description copied from interface: `PacketOut`
Generate JSON Packet Contents

Specified by:
  `generate` in interface `PacketOut`
Returns:
  Packet Contents

#### getVersion

    public Version getVersion()

Description copied from interface: `PacketOut`
Get Packet Version

Specified by:
  `getVersion` in interface `PacketOut`
Returns:
  Packet Version

#### event

    public void event(SubAddServerEvent event)

#### event

    public void event(SubCreateEvent event)

#### event

    public void event(SubSendCommandEvent event)

#### event

    public void event(SubStartEvent event)

#### event

    public void event(SubStopEvent event)

#### event

    public void event(SubStoppedEvent event)

#### event

    public void event(SubRemoveServerEvent event)